package jrummikub.model;

import static org.junit.Assert.*;

import java.awt.Color;

import org.junit.Before;
import org.junit.Test;

public class GameStateTest {
	private GameState testGame;

	@Before
	public void createGame() {
		testGame = new GameState();
	}

	@Test
	public void nextActiveTest() {
		// All there?
		assertEquals(4, testGame.players.size());
		assertSame(Color.red, testGame.activePlayer().getColor());
		testGame.nextPlayer();
		assertSame(Color.yellow, testGame.activePlayer().getColor());
		testGame.nextPlayer();
		testGame.nextPlayer();
		testGame.nextPlayer();
		assertSame(Color.red, testGame.activePlayer().getColor());
	}
}
